
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>简明x86汇编语言教程(7) / iVAN</title>

    <meta name="description" content="简明x86汇编语言教程(7) 5.0 编译优化概述 优化是一件非常重要的事情.作为一个程序设计者,你肯定希望自己的程序既小又快.DOS时代的许多书中都提到,&quot;某某编译器能够生成非常紧凑的代码&quot;,换言之,编译器会为你把代码尽可能地缩减,如果你能够正确地使用它提供的功能的话.目前,Intel x86体系上流行的C/C++编译器,包括Intel C/C++ Compiler, GNU C/C++ Compiler,以及最新的Microsoft和Borland编译器,都能够提供非常紧凑的代码.正确地使用这些编译器 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">简明x86汇编语言教程(7)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>5.0 编译优化概述</p>
<p>优化是一件非常重要的事情。作为一个程序设计者，你肯定希望自己的程序既小又快。DOS时代的许多书中都提到，“某某编译器能够生成非常紧凑的代码”，换言之，编译器会为你把代码尽可能地缩减，如果你能够正确地使用它提供的功能的话。目前，Intel x86体系上流行的C/C++编译器，包括Intel C/C++ Compiler, GNU C/C++ Compiler，以及最新的Microsoft和Borland编译器，都能够提供非常紧凑的代码。正确地使用这些编译器，则可以得到性能足够好的代码。</p>
<p>但是，机器目前还不能像人那样做富于创造性的事情。因而，有些时候我们可能会不得不手工来做一些事情。</p>
<p>使用汇编语言优化代码是一件困难，而且技巧性很强的工作。很多编译器能够生成为处理器进行过特殊优化处理的代码，一旦进行修改，这些特殊优化可能就会被破坏而失效。因此，在你决定使用自己的汇编代码之前，一定要测试一下，到底是编译器生成的那段代码更好，还是你的更好。</p>
<p>本章中将讨论一些编译器在某些时候会做的事情(从某种意义上说，本章内容更像是计算机专业的基础课中《编译程序设计原理》、《计算机组成原理》、《计算机体系结构》课程中的相关内容)。本章的许多内容和汇编语言程序设计本身关系并不是很紧密，它们多数是在为使用汇编语言进行优化做准备。编译器确实做这些优化，但它并不总是这么做；此外，就编译器的设计本质来说，它确实没有义务这么做——编译器做的是等义变换，而不是等效变换。考虑下面的代码：</p>
<table>
<tbody>
<tr>
<td>// 程序段1<br />
            int gaussianSum(){<br />
            　int i, j=0;<br />
            <br />for(i=0; i&lt;100; i++) j+=i;</p>
<p>return j;<br />
            }</p>
</td>
</tr>
</tbody>
</table>
<p>好的，首先，绝大多数编译器恐怕不会自作主张地把它“篡改”为</p>
<table>
<tbody>
<tr>
<td>// 程序段1(改进1)<br />
            int gaussianSum(){<br />
            　int i, j=0;<br />
            <br />for(i=1; i&lt;100; i++) j+=i;</p>
<p>return j;<br />
            }</p>
</td>
</tr>
</tbody>
</table>
<p>多数（但确实不是全部）编译器也不会把它改为</p>
<table>
<tbody>
<tr>
<td>
            <br />// 程序段1(改进2)<br />
            inline int gaussianSum(){<br />
            　return 5050;<br />
            }</p>
</td>
</tr>
</tbody>
</table>
<p>这两个修改版本都不同于原先程序的语义。首先我们看到，让i从0开始是没有必要的，因为j+=i时，i=0不会做任何有用的事情；然后是，实际上没有必要每一次都计算1+...+100的和——它可以被预先计算，并在需要的时候返回。</p>
<p>这个例子也许并不恰当(估计没人会写出最初版本那样的代码)，但这种实践在程序设计中确实可能出现。我们把改进2称为编译时表达式预先计算，而把改进1成为循环强度削减。</p>
<p>然而，一些新的编译器的确会进行这两种优化。不过别慌，看看下面的代码：</p>
<table>
<tbody>
<tr>
<td>// 程序段2<br />
            int GetFactorial(int k){<br />
            　int i, j=1;<br />
            <br />if((k&lt;0) || (k&gt;=10)) return -1;</p>
<p>if((k&lt;=1)) return 1</p>
<p>for(i=1; i&lt;k; i++) j*=i;</p>
<p>return j;<br />
            }</p>
</td>
</tr>
</tbody>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 20:29:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e4%bc%98%e5%8c%96/" title="优化">优化</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e8%af%91%e5%99%a8/" title="编译器">编译器</a>, <a href="https://www.iamivan.net/tag/%e7%94%9f%e6%88%90/" title="生成">生成</a>, <a href="https://www.iamivan.net/tag/x86/" title="x86">x86</a>, <a href="https://www.iamivan.net/tag/c%e8%af%ad%e8%a8%80%e8%af%be%e7%a8%8b%e8%ae%be%e8%ae%a1/" title="c语言课程设计">c语言课程设计</a>, <a href="https://www.iamivan.net/tag/%e6%b1%87%e7%bc%96%e8%af%ad%e8%a8%80/" title="汇编语言">汇编语言</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e8%af%91%e5%8e%9f%e7%90%86-%e8%ae%a1%e7%ae%97%e6%9c%ba%e8%af%be%e7%a8%8b/" title="编译原理 计算机课程">编译原理 计算机课程</a>, <a href="https://www.iamivan.net/tag/%e6%b1%87%e7%bc%96%e8%ae%be%e8%ae%a1/" title="汇编设计">汇编设计</a>, <a href="https://www.iamivan.net/tag/x86macc%e8%af%ad%e8%a8%80/" title="x86macc语言">x86macc语言</a>, <a href="https://www.iamivan.net/tag/%e6%b1%87%e7%bc%96-%e6%b1%87%e7%bc%96%e8%af%ad%e8%a8%80/" title="汇编 汇编语言">汇编 汇编语言</a>, <a href="https://www.iamivan.net/tag/%e6%b1%87%e7%bc%96%e8%af%ad%e8%a8%80%e7%a8%8b%e5%ba%8f%e8%ae%be%e8%ae%a1/" title="汇编语言程序设计">汇编语言程序设计</a>, <a href="https://www.iamivan.net/tag/%e6%b1%87%e7%bc%96-%e7%bc%96%e8%af%91/" title="汇编 编译">汇编 编译</a>, <a href="https://www.iamivan.net/tag/c%e8%af%ad%e8%a8%80%e4%bb%a3%e7%a0%81%e4%bc%98%e5%8c%96/" title="c语言代码优化">c语言代码优化</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>简明x86汇编语言教程(7)的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQlQrz.html" rel="bookmark">简明x86汇编语言教程&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第○章 写在前面 我不想夸大或者贬低汇编语言.但我想说,汇编语言改变了20世纪的历史.与前辈相比,我们这一代编程人员足够的幸福,因为我们有各式各样的编程语言,我们可以操作键盘.坐在显示器面前,甚至使用鼠标.语音识别.我们可以使用键盘.鼠标来驾驭&quot;个人计算机&quot;,而不是和一群人共享一台使用笨重的继电器.开关去操作的巨型机.相比之下,我们的前辈不得不使用机器语言编写程序,他们甚至没有最简单的汇编程序来把助记符翻译成机器语言,而我们可以从上千种计算机语言中选择我们喜欢的一种,而汇编,虽然不是一			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xp81LVz.html" rel="bookmark">简明x86汇编语言教程&lpar;5&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.4 串操作 我们前面已经提到,内存可以和寄存器交换数据,也可以被赋予立即数.问题是,如果我们需要把内存的某部分内容复制到另一个地址,又怎么做呢? 设想将DS:SI处的连续512字节内容复制到ES:DI(先不考虑可能的重叠).也许会有人写出这样的代码: NextByte: mov cx,512 mov al,ds:[si] mov es:[di],al inc si inc di loop NextByte ; 循环次数 我不喜欢上面的代码.它的确能达到作用,但是,效率不好.如果你是在做优化,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVeOmp.html" rel="bookmark">简明x86汇编语言教程&lpar;6&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				4.0 利用子程序与中断 已经掌握了汇编语言?没错,你现在已经可以去破译别人代码中的秘密.然而,我们还有一件重要的东西没有提到,那就是自程序和中断.这两件东西是如此的重要,以至于你的程序几乎不可能离开它们. 4.1 子程序 在高级语言中我们经常要用到子程序.高级语言中,子程序是如此的神奇,我们能够定义和主程序,或其他子程序一样的变量名,而访问不同的变量,并且,还不和程序的其他部分相冲突. 然而遗憾的是,这种&quot;优势&quot;在汇编语言中是不存在的. 汇编语言并不注重如何减轻程序员的负担:相反,汇			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9MxnA0z.html" rel="bookmark">简明x86汇编语言教程&lpar;4&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第三章 操作内存 在前面的章节中,我们已经了解了寄存器的基本使用方法.而正如结尾提到的那样,仅仅使用寄存器做一点运算是没有什么太大意义的,毕竟它们不能保存太多的数据,因此,对编程人员而言,他肯定迫切地希望访问内存,以保存更多的数据. 我将分别介绍如何在保护模式和实模式操作内存,然而在此之前,我们先熟悉一下这两种模式中内存的结构. 3.1 实模式 事实上,在实模式中,内存比保护模式中的结构更令人困惑.内存被分割成段,并且,操作内存时,需要指定段和偏移量.不过,理解这些概念是非常容易的事情.请看下面			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMNompk.html" rel="bookmark">X86汇编语言总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下载地址:点击打开下载链接 AX.BX.CX.DX一般用来存放数据 [BX].[BP].[SI].[DI]中一般存放着某个段寄存器的偏移地址,默认情况下,[BX]中存放着数据段(DS)的偏移地址,[BP]中存放着栈段(SS)的偏移地址(功能和SP类似),其中BX只能和SI.DI组合,BP只能和SI.DI组合,SI.DI间是不能组合的 Loop指令一般搭配着CX寄存器使用,每循环一次,CX寄存器中的值减少1 执行PUSH指令时,SP-2,执行POP时,SP+2 个人的一点总结:压栈时,先减后压:出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvaQAb.html" rel="bookmark">HTTP Headers简明易懂的教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文系统的对HTTP Headers进行了简明易懂的阐述,我仅稍作笔记. 什么是HTTP Headers HTTP是&quot;Hypertext Transfer Protocol&quot;的所写,整个万维网都在使用这种协议,几乎你在浏览器里看到的大部分内容都是通过http协议来传输的,比如这篇文章. HTTP Headers是HTTP请求和相应的核心,它承载了关于客户端浏览器,请求页面,服务器等相关的信息. 示例 当你在浏览器地址栏里键入一个url,你的浏览器将会类似如下的http请求:GET /t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1rwGxp.html" rel="bookmark">ASP&period;NET与MySQL数据库简明图示入门教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在ASP时代,如果我们要建立一个数据库驱动的web站点,那么你可以选择环很多钱的微软SQLSERVER数据库或者选择要花很多时间来寻找达到性能和稳定性统一的ACCESS数据库,但在.NET时代你有另一种选择,那就是:MySQL数据库 什么是MySQL数据库? MySQL数据库是一种开放源代码的数据库,通过获得授权来保持源代码的官方支持,同时可以自由修改源代码,目前许多公司和组织都采用了这种数据库.对此详细信息您可以访问MySQL的官方站点. 第一步下载和安装 与大多数软件一样,首先是得到并安装m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn88Oob.html" rel="bookmark">ASP&period;NET与MySQL数据库简明图示入门教程&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者: CRYSTAL编译 在ASP时代,如果我们要建立一个数据库驱动的web站点,那么你可以选择环很多钱的微软SQL SERVER数据库或者选择要花很多时间来寻找达到性能和稳定性统一的ACCESS数据库,但在.NET时代你有另一种选择,那就是:MySQL数据库 什么是MySQL数据库? MySQL数据库是一种开放源代码的数据库,通过获得授权来保持源代码的官方支持,同时可以自由修改源代码,目前许多公司和组织都采用了这种数据库.对此详细信息您可以访问MySQL的官方站点. 第一步 下载和安装 与大			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZdl8BM.html" rel="bookmark">使用GCC和GNU Binutils编写能在x86实模式运行的16位代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用GCC和GNU Binutils编写能在x86实模式运行的16位代码 不可否认,这次的标题有点长.之所以把标题写得这么详细,主要是为了搜索引擎能够准确地把确实需要了解GCC生成16位实模式代码方法的朋友带到我的博客.先说一下背景,编写能在x86实模式下运行的16位代码,这个话题确实有点复古,所以能找到的资料也相应较少.要运行x86实模式的程序,目 前我知道的只有两种方式,一种是使用DOS系统,另一种是把它写成引导扇区的代码,在系统启动时直接运行.很显然,许多讲自己实现操作系统的书籍都会讲到			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8Aw3z.html" rel="bookmark" class="title">android帧动画&comma;移动位置&comma;缩放&comma;改变透明度等动画讲解</a>
					<div>
						1.苦逼的需求又来了,需要实现一些动画效果,第一个想到的是播放gif图片,但是这样会占包的资源,并且清晰度不高,于是想着程序实现,自己用帧动画+缩放+移动+透明度 实现了一些想要的效果,这里跟大家分享 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze05Vp.html" rel="bookmark" class="title">类似Dreamweaver的颜色选择器</a>
					<div>
						一.前言 用过Dreamweaver的朋友一定对它的颜色选择器留下深刻的印象,因为它确实相当好用,其中的一项比较实用的功能是可以选取屏幕上任意一点的颜色.笔者按此思路封装了一个称为CColorPick ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDK1Wp.html" rel="bookmark" class="title">&ast;&period;HTC 文件的简单介绍</a>
					<div>
						htc 今天在论坛上面看到有些兄弟不知道HTC是什么东西.小生在这里稍微说一下. 从5.5版本开始,Internet Explorer(IE)开始支持Web 行为的概念.这些行为是由后缀名为.htc的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qba10wb.html" rel="bookmark" class="title">c&num;时间增加并对比做法</a>
					<div>
						int jg=72;//设置一个增加的时间   DateTime dt=Convert.ToDateTime(&quot;2006-4-23 12:22:05&quot;);// 设置一个初始化的时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp85xoz.html" rel="bookmark" class="title">&lbrack;j2se&rsqb;利用JAVA获得IP地址的法子</a>
					<div>
						ip地址|j2se 如何用Java获得一个域名的IP地址呢?提供这个功能的类叫做java.net.InetAddress.我们假设现在有这样一个域名,它用一个静态的 getByName来重新获得一个I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVrJkz.html" rel="bookmark" class="title">名片网CEO王青&colon;创业怎样去打&OpenCurlyDoubleQuote;游击战&rdquo;？</a>
					<div>
						    创业者说:小公司更像一个游击队--虽然有着明确的目标,但不是为了成功,而是为了存活.而大公司出身的创业者,更需要明白&quot;正规军&quot;的局限与独有优势.从麦肯锡到名片网,对于我来说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMReL3b.html" rel="bookmark" class="title">从C&sol;C&plus;&plus;迁移到PHP&mdash;&mdash;判断字符类型的函数</a>
					<div>
						c++|函数 在C/C++中,头文件ctype.h中定义了关于字符类型一组宏,可以得到给定字符的类型. 而PHP中没有相关函数.前些天发现在www.mm4.de下载的PHP中提供了一个名为php_ct ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrrqvM.html" rel="bookmark" class="title">用ADox获得表的唯一索引</a>
					<div>
						ado|索引 adox的功能据说很强大,但是我没感觉出来,因为我在asp下编写了很多程序,都运行不了.不知道什么原因,这里有一个程序可以获得唯一索引.可能有的朋友会做一些通用程序,也就是无论数据结构如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWjVEb.html" rel="bookmark" class="title">用Delphi 6开发ASP上传组件详解</a>
					<div>
						上传|详解 文件上传是WEB开发中经常要用到的功能,但ASP本身和内置的组件都不支持文件上传功能.网上流传的一些第三方组件虽然能够解决这个问题,但大多是要收费的,更别说Open Source了.本文将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAZ4ep.html" rel="bookmark" class="title">php如何判断是手机访问还是电脑访问</a>
					<div>
						要求网站要判断是手机访问还是电脑访问,然后显示不同的信息 &lt;?php function isMobile(){ $useragent=isset($_SERVER['HTTP_USER_AGEN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN2jrb.html" rel="bookmark" class="title">Word与Excel组合工作 批量打印信封</a>
					<div>
						很多学校期末都都要给学生寄成绩通知单,教务处需要打印大量的信封.利用Word XP与Excel XP可以协作来批量打印信封,一起来看看吧. 1.准备阶段 (1)新建一Excel文件&quot;新生名单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBm7Lz.html" rel="bookmark" class="title">javascript实现图像循环明暗变化的方法</a>
					<div>
						 这篇文章主要介绍了javascript实现图像循环明暗变化的方法,实例分析了javascript操作css样式的技巧,具有一定参考借鉴价值,需要的朋友可以参考下 本文实例讲述了javascript实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq809Kb.html" rel="bookmark" class="title">win7旗舰版电脑一直打出重复字符怎么办？</a>
					<div>
						  咱们操作win7系统下载官网电脑,自然就涉及到需要打字,不管是搜索信息也好,聊天也好,还是处理工作也好,咱们打字都是必不可少的,键盘和显示器就是咱们电脑最基本也是最不可缺少的两大部分.但是最近却有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z724X4p.html" rel="bookmark" class="title">戴尔笔记本电脑如何关闭触摸板</a>
					<div>
						  1.点击开始,选择控制面板; 2.点击&quot;硬件和声音&quot;; 3.再点击&quot;鼠标&quot;; 4.选择&quot;Dell 触摸板&quot;选项卡,然后点击下方的&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaw1Lz.html" rel="bookmark" class="title">通过IEnumerable和IDisposable实现可暂停和取消的任务队列</a>
					<div>
						   一般来说,软件中总会有一些长时间的操作,这类操作包括下载文件,转储数据库,或者处理复杂的运算. 一种处理做法是,在主界面上提示正在操作中,有进度条,其他部分不可用.这里带来很大的问题, 使用者不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o3E7b.html" rel="bookmark" class="title">如何打造支撑百万用户的分布式代码托管平台</a>
					<div>
						本文整理自2017云栖大会-上海峰会中阿里云高级技术专家杨再新的分享讲义,讲义主要介绍了开源代码托管平台的挑战,以及云代码托管平台的架构设计与产品规划.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kke9M.html" rel="bookmark" class="title">&lbrack;新手问题&rsqb;&period;net如何获取到http的流</a>
					<div>
						问题描述 问题是这样的.用.net开发的webservice,客户端是android,客户端需要上传头像到服务器上.现在客户端是通过发送http流的方式,把图片传输过来的,我想知道的是,服务器端(.n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQZ6ap.html" rel="bookmark" class="title">Yii 多表关联relations</a>
					<div>
						1首先多表关联是在models/Self.php的relations里配置的.而且是互配,但有区别. 格式:'VarName'=&gt;array('RelationType', 'ClassName ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQrJZz.html" rel="bookmark" class="title">关于3dmax导出FBX文件</a>
					<div>
						问题描述 关于3dmax导出FBX文件 我在网上下了max文件静态的3d素材,然后用3dmax打开,然后导出成fbx文件我也勾选了嵌入媒体.然后用其他软件打开,没有贴图,只有一个模型.请问要怎样导出才 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX0ovz.html" rel="bookmark" class="title">优化OEA中的聚合SQL</a>
					<div>
						   本文中的内容与前面几篇的内容.与OEA框架中的内容相关性比较大,有兴趣的朋友可以关注CodePlex中的项目:&lt;OpenExpressApp&gt;   结果对比     优化前的代码,在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjZAdM.html" rel="bookmark" class="title">Facebook前总裁：苹果曾试图阻止Spotify进入美国</a>
					<div>
						流媒体音乐服务商Spotify董事.Facebook前总裁肖恩·帕克 北京时间5月31日消息,据国外媒体报道,流媒体音乐服务商Spotify董事.Facebook前总裁肖恩·帕克(Sean Parke ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBdkqz.html" rel="bookmark" class="title">c&plus;&plus;面向对象的编程</a>
					<div>
						一.概述: 面向对象编程基于三个基本概念:数据抽象.继承和 动态绑定: 在c++中,用类进行数据抽象: 用类派生从一个类继承另一个类:派生类继承基类的成员: 多态:动态绑定使编译器能够在 运行时  决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodeAdM.html" rel="bookmark" class="title">请问一下&period;&period;谢谢&excl;&excl;&excl;</a>
					<div>
						问题描述 刚从上面下载了一个名叫网上银行的系统..但是不知道怎么打开...里面有web的文件,,用vs05打开就是说找不到...请问是用vs05打开吗??怎样打开??...菜鸟级人物...谢谢!!!  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwrqEM.html" rel="bookmark" class="title">IPv4地址获准交易</a>
					<div>
						本报讯 (记者 李斌) 昨天,亚太网络信息中心开放政策会议(APNIC)北京峰会通过了之前热议的IP地址转移的议案.这意味着允许进行目前最常用的 IPv4(互联网协议第四版)地址的买卖,但转移范围仅限 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnwAPM.html" rel="bookmark" class="title">法国大选网上竞选活动进入白热化</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/30577.html&quot;&gt;法国总统选举22号将举行第一轮投票,与618.html&quot;&gt;候选人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLaP8M.html" rel="bookmark" class="title">json数据问题</a>
					<div>
						问题描述 var jsonstr=&quot;{ &quot;Head&quot;: [{&quot;name&quot;:&quot;1111&quot;,sex:&quot;s&quot;},{& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6qygM.html" rel="bookmark" class="title">批处理实现的文字的飞入&plus;变色效果代码&lowbar;DOS&sol;BAT</a>
					<div>
						复制代码 代码如下: @echo off&amp;setlocal enabledelayedexpansion&amp;cls&amp;color 0f&amp;title Welcome to C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlZm0p.html" rel="bookmark" class="title">Android App将数据写入内部存储和外部存储的示例&lowbar;Android</a>
					<div>
						File存储(内部存储)一旦程序在设备安装后,data/data/包名/ 即为内部存储空间,对外保密. Context提供了2个方法来打开输入.输出流 FileInputStream openFile ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqxyAp.html" rel="bookmark" class="title">使用Jquery来实现可以输入值的下拉选单 雏型&lowbar;jquery</a>
					<div>
						上网 找了一下,有一堆现成的控件,可是 现成的 我要去了解,来结合我现在 系统来应用,要花不少时间,这个时间 跟我自己 搞一个成本 应该差不多 那我还不如 自己 搞一个,比较能了解 怎麽运作,後面就更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Zql0z.html" rel="bookmark" class="title">Android技巧一之启动屏&plus;新功能左右导航逻辑&lowbar;Android</a>
					<div>
						前言 很长一段时间没写博客了,再不写点东西真说不过去,把工作上的一些有价值的东西整理出来分享,在当下还有点时效性,不然迟早会烂在肚子里的.还记得之前小巫有个开源计划是想实现一个星期开发app,现在把它 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
